Config Inspection
Overview
Provides an Application Programming Interface (API) that supports programmatic use of IaaS/PaaS products provided by SCP.
This guide provides a brief description of Config Inspection service and how to call API.
The API is provided as a RESTful API, and it responds in JSON format.
Version
| Version | Status | Supported Until |
|---|
| 1.0 | SUPPORTED | 20260531 |
| 1.1 | CURRENT | - |
OpenAPI URL
https://configinspection.{region}.{environment}.samsungsdscloud.com
Environment and Region List
| environment | region |
|---|
| s | kr-west1 |
| s | kr-east1 |
| g | kr-south1 |
| g | kr-south2 |
| g | kr-south3 |
| e | kr-west1 |
| e | kr-east1 |
1 - APIs
1.1 - Create Config Inspection
1.1.1 - 1.1
post /v1/configinspection/diagnosis/save
Description
Create Diagnosis Object
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.1 | - |
Parameters
Responses
Example HTTP request
Request path
/v1/configinspection/diagnosis/save
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = configinspection 1.1"
Request body
{
"account_id": "0e3dffc50eb247a1adf4f2e5c82c4f99",
"auth_key_request": {
"auth_key_created_at": "2022-01-01 12:00:00",
"auth_key_expired_at": "2023-01-01 12:00:00",
"auth_key_id": "9b72a9856e494e67afc69atd3631fe38",
"diagnosis_id": "DIA-943731CB8E3045C289BAECAEC3532097"
},
"csp_type": "SCP",
"diagnosis_account_id": "0e3dffc50eb247a1adf4f2e5c82c4f99",
"diagnosis_check_type": "BP",
"diagnosis_id": "DIA-943731CB8E3045C289BAECAEC3532097",
"diagnosis_name": "Sample Diagnosis Name",
"diagnosis_type": "Console",
"plan_type": "STANDARD",
"schedule_request": {
"diagnosis_id": "DIA-943731CB8E3045C289BAECAEC3532097",
"diagnosis_start_time_pattern": "08:00",
"frequency_type": "MONTH",
"frequency_value": "1",
"use_diagnosis_check_type_bp": "y",
"use_diagnosis_check_type_ssi": "y"
},
"tags": []
}
Example HTTP response
Response 201
{
"diagnosis_id": "Sample Diagnosis Name",
"result": true
}
1.1.2 - 1.0
post /v1/configinspection/diagnosis/save
Description
Create Diagnosis Object
State
ACTIVE (SUPPORTED)
| Version | Supported Until |
|---|
| 1.0 | 20260531 |
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 201 | Created | CheckResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/configinspection/diagnosis/save
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = configinspection 1.0"
Request body
{
"account_id": "0e3dffc50eb247a1adf4f2e5c82c4f99",
"auth_key_request": {
"auth_key_created_at": "2022-01-01 12:00:00",
"auth_key_expired_at": "2023-01-01 12:00:00",
"auth_key_id": "9b72a9856e494e67afc69atd3631fe38",
"diagnosis_id": "DIA-943731CB8E3045C289BAECAEC3532097"
},
"csp_type": "SCP",
"diagnosis_account_id": "0e3dffc50eb247a1adf4f2e5c82c4f99",
"diagnosis_check_type": "BP",
"diagnosis_id": "DIA-943731CB8E3045C289BAECAEC3532097",
"diagnosis_name": "Sample Diagnosis Name",
"diagnosis_type": "Console",
"plan_type": "STANDARD",
"schedule_request": {
"diagnosis_id": "DIA-943731CB8E3045C289BAECAEC3532097",
"diagnosis_start_time_pattern": "08:00",
"frequency_type": "MONTH",
"frequency_value": "1",
"use_diagnosis_check_type_bp": "y",
"use_diagnosis_check_type_ssi": "y"
},
"tags": []
}
Example HTTP response
Response 201
1.2 - Delete Config Inspection
1.2.1 - 1.1
delete /v1/configinspection/diagnosis/terminate/{diagnosis_id}
Description
Delete Config Inspection Product
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | diagnosis_id required | Id of diagnosis Example : Sample Diagnosis Name
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | TerminateResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/configinspection/diagnosis/terminate/{diagnosis_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = configinspection 1.1"
Example HTTP response
Response 200
{
"delete_flag": true,
"msg": "Delete success"
}
1.2.2 - 1.0
delete /v1/configinspection/diagnosis/terminate/{diagnosis_id}
Description
Delete Config Inspection Product
State
ACTIVE (SUPPORTED)
| Version | Supported Until |
|---|
| 1.0 | 20260531 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | diagnosis_id required | Id of diagnosis Example : Sample Diagnosis Name
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | TerminateResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/configinspection/diagnosis/terminate/{diagnosis_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = configinspection 1.0"
Example HTTP response
Response 200
{
"delete_flag": true,
"msg": "Delete success"
}
1.3 - Diagnosis Request
1.3.1 - 1.1
post /v1/configinspection/diagnosis/request
Description
Request diagnosis
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.1 | - |
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 201 | Created | CheckResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/configinspection/diagnosis/request
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = configinspection 1.1"
Request body
{
"access_key": "SAMPLE KEY",
"diagnosis_check_type": "BP",
"diagnosis_id": "DIA-943731CB8E3045C289BAECAEC3532097",
"secret_key": "SAMPLE KEY",
"tenant_id": "1234567890"
}
Example HTTP response
Response 201
1.3.2 - 1.0
post /v1/configinspection/diagnosis/request
Description
Request diagnosis
State
ACTIVE (SUPPORTED)
| Version | Supported Until |
|---|
| 1.0 | 20260531 |
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 201 | Created | CheckResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/configinspection/diagnosis/request
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = configinspection 1.0"
Request body
{
"access_key": "SAMPLE KEY",
"diagnosis_check_type": "BP",
"diagnosis_id": "DIA-943731CB8E3045C289BAECAEC3532097",
"secret_key": "SAMPLE KEY",
"tenant_id": "1234567890"
}
Example HTTP response
Response 201
1.4 - Disgnosis Response
1.4.1 - 1.1
post /v1/configinspection/diagnosis/response
Description
Response diagnosis
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.1 | - |
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 201 | Created | CheckResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/configinspection/diagnosis/response
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = configinspection 1.1"
Request body
{
"requestNumber": "",
"systemId": "",
"targets": {
"cloudAccountId": "",
"cspCd": "",
"cspConsoleCd": "",
"error": {
"message": "",
"type": ""
},
"kind": "",
"result": [],
"status": "",
"version": ""
}
}
Example HTTP response
Response 201
1.4.2 - 1.0
post /v1/configinspection/diagnosis/response
Description
Response diagnosis
State
ACTIVE (SUPPORTED)
| Version | Supported Until |
|---|
| 1.0 | 20260531 |
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 201 | Created | CheckResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/configinspection/diagnosis/response
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = configinspection 1.0"
Request body
{
"requestNumber": "",
"systemId": "",
"targets": {
"cloudAccountId": "",
"cspCd": "",
"cspConsoleCd": "",
"error": {
"message": "",
"type": ""
},
"kind": "",
"result": [],
"status": "",
"version": ""
}
}
Example HTTP response
Response 201
1.5 - Get Diagnosis Object Detail
1.5.1 - 1.1
get /v1/configinspection/diagnosis/detail/{diagnosis_id}
Description
Get Diagnosis Object Detail
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | diagnosis_id required | Id of diagnosis Example : Sample Diagnosis Name
| string | None |
Responses
Example HTTP request
Request path
/v1/configinspection/diagnosis/detail/{diagnosis_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = configinspection 1.1"
Example HTTP response
Response 200
{
"auth_key_responses": {
"auth_key_created_at": "2022-01-01T12:00:00Z",
"auth_key_expired_at": "2022-01-01T12:00:00Z",
"auth_key_id": "9b72a9856e494e67afc69atd3631fe38",
"auth_key_state": "ACTIVATED",
"user_id": "4f5d60e9e08b48d0a0881e21ab14e266"
},
"schedule_response": {
"diagnosis_id": "DIA-943731CB8E3045C289BAECAEC3532097",
"diagnosis_start_time_pattern": "08:00",
"frequency_type": "MONTH",
"frequency_value": "1",
"use_diagnosis_check_type_bp": "y",
"use_diagnosis_check_type_ssi": "y"
},
"summary_responses": {
"created_at": "2022-01-01T12:00:00Z",
"csp_type": "SCP",
"diagnosis_account_id": "0e3dffc50eb247a1adf4f2e5c82c4f99",
"diagnosis_check_type": "BP",
"diagnosis_id": "DIA-943731CB8E3045C289BAECAEC3532097",
"diagnosis_name": "Sample Diagnosis Name",
"diagnosis_type": "Console",
"error_state": "CONNECTION_FAIL",
"plan_type": "STANDARD",
"recent_diagnosis_at": "2022-01-01T12:00:00Z",
"recent_diagnosis_state": "Completed"
}
}
1.5.2 - 1.0
get /v1/configinspection/diagnosis/detail/{diagnosis_id}
Description
Get Diagnosis Object Detail
State
ACTIVE (SUPPORTED)
| Version | Supported Until |
|---|
| 1.0 | 20260531 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | diagnosis_id required | Id of diagnosis Example : Sample Diagnosis Name
| string | None |
Responses
Example HTTP request
Request path
/v1/configinspection/diagnosis/detail/{diagnosis_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = configinspection 1.0"
Example HTTP response
Response 200
{
"auth_key_responses": {
"auth_key_created_at": "2022-01-01T12:00:00Z",
"auth_key_expired_at": "2022-01-01T12:00:00Z",
"auth_key_id": "9b72a9856e494e67afc69atd3631fe38",
"auth_key_state": "ACTIVATED",
"user_id": "4f5d60e9e08b48d0a0881e21ab14e266"
},
"schedule_response": {
"diagnosis_id": "DIA-943731CB8E3045C289BAECAEC3532097",
"diagnosis_start_time_pattern": "08:00",
"frequency_type": "MONTH",
"frequency_value": "1",
"use_diagnosis_check_type_bp": "y",
"use_diagnosis_check_type_ssi": "y"
},
"summary_responses": {
"created_at": "2022-01-01T12:00:00Z",
"csp_type": "SCP",
"diagnosis_account_id": "0e3dffc50eb247a1adf4f2e5c82c4f99",
"diagnosis_check_type": "BP",
"diagnosis_id": "DIA-943731CB8E3045C289BAECAEC3532097",
"diagnosis_name": "Sample Diagnosis Name",
"diagnosis_type": "Console",
"error_state": "CONNECTION_FAIL",
"plan_type": "STANDARD",
"recent_diagnosis_at": "2022-01-01T12:00:00Z",
"recent_diagnosis_state": "Completed"
}
}
1.6 - Get Diagnosis Result Detail
1.6.1 - 1.1
get /v1/configinspection/report/diagnosis/detail
Description
get Diagnosis Result Detail
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | with_count optional | with count Example : true
| any of [string, null] | None |
| query | limit optional | limit Example : 20
| any of [integer, null] | None |
| query | marker optional | marker Example : 607e0938521643b5b4b266f343fae693
| any of [string, null] | None |
| query | sort optional | sort Example : created_at:desc
| any of [string, null] | None |
| query | diagnosis_id required | Id of diagnosis Example : DIA-943731CB8E3045C289BAECAEC3532097
| string | None |
| query | diagnosis_request_sequence required | Sequence of diagnosis request Example : SCPCIS-E75FD21CA524441C9C1B1B381D5974F7
| string | None |
Responses
Example HTTP request
Request path
/v1/configinspection/report/diagnosis/detail?diagnosis_id={diagnosis_id}&diagnosis_request_sequence={diagnosis_request_sequence}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = configinspection 1.1"
Example HTTP response
Response 200
{
"checklist_name": "Sample Checklist",
"count": 20,
"diagnosis_account_id": "0e3dffc50eb247a1adf4f2e5c82c4f99",
"diagnosis_check_type": "BP",
"diagnosis_id": "DIA-943731CB8E3045C289BAECAEC3532097",
"diagnosis_name": "Sample Diagnosis Name",
"diagnosis_request_sequence": "SCPCIS-E75FD21CA524441C9C1B1B381D5974F7",
"links": [
{
"href": "http://scp.samsungsdscloud.com/v1/notices",
"rel": "self"
}
],
"proceed_date": "2026-02-11T06:41:21.598Z",
"result_detail_list": [
{
"action_guide": "원격 접속 Port에 Source IP가 ANY(0.0.0.0/0)로 등록되어있거나 과도하게 허용된 Security Group 규칙은 아래와 같이 삭제합니다.",
"changed": true,
"diagnosis_check_type": "BP",
"diagnosis_criteria": "【 Security Group 규칙 】\r\n① 원격접속 Port에 Any IP 접근을 허용하는 규칙이 존재하지 않아야 합니다.",
"diagnosis_item": "2.NW_003. 프로토콜 별 원격접속 Port는 접근이 필요한 IP를 지정하여 접속을 허용해야 합니다.",
"diagnosis_layer": "2.NETWORK",
"diagnosis_method": "Security Group의 Inbound 규칙에 원격 접속이 필요한 사용자나 시스템만 접근을 허용하는 규칙을 등록 하였는지 확인합니다.",
"diagnosis_result": "03",
"result_contents": "상세 내역",
"sub_category": "NURIBP_SCP_02.NW_004"
}
],
"total": 10
}
1.6.2 - 1.0
get /v1/configinspection/report/diagnosis/detail
Description
get Diagnosis Result Detail
State
ACTIVE (SUPPORTED)
| Version | Supported Until |
|---|
| 1.0 | 20260531 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | with_count optional | with count Example : true
| any of [string, null] | None |
| query | limit optional | limit Example : 20
| any of [integer, null] | None |
| query | marker optional | marker Example : 607e0938521643b5b4b266f343fae693
| any of [string, null] | None |
| query | sort optional | sort Example : created_at:desc
| any of [string, null] | None |
| query | diagnosis_id required | Id of diagnosis Example : DIA-943731CB8E3045C289BAECAEC3532097
| string | None |
| query | diagnosis_request_sequence required | Sequence of diagnosis request Example : SCPCIS-E75FD21CA524441C9C1B1B381D5974F7
| string | None |
Responses
Example HTTP request
Request path
/v1/configinspection/report/diagnosis/detail?diagnosis_id={diagnosis_id}&diagnosis_request_sequence={diagnosis_request_sequence}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = configinspection 1.0"
Example HTTP response
Response 200
{
"checklist_name": "Sample Checklist",
"count": 20,
"diagnosis_account_id": "0e3dffc50eb247a1adf4f2e5c82c4f99",
"diagnosis_check_type": "BP",
"diagnosis_id": "DIA-943731CB8E3045C289BAECAEC3532097",
"diagnosis_name": "Sample Diagnosis Name",
"diagnosis_request_sequence": "SCPCIS-E75FD21CA524441C9C1B1B381D5974F7",
"links": [
{
"href": "http://scp.samsungsdscloud.com/v1/notices",
"rel": "self"
}
],
"proceed_date": "2026-02-11T06:41:21.445Z",
"result_detail_list": [
{
"action_guide": "원격 접속 Port에 Source IP가 ANY(0.0.0.0/0)로 등록되어있거나 과도하게 허용된 Security Group 규칙은 아래와 같이 삭제합니다.",
"changed": true,
"diagnosis_check_type": "BP",
"diagnosis_criteria": "【 Security Group 규칙 】\r\n① 원격접속 Port에 Any IP 접근을 허용하는 규칙이 존재하지 않아야 합니다.",
"diagnosis_item": "2.NW_003. 프로토콜 별 원격접속 Port는 접근이 필요한 IP를 지정하여 접속을 허용해야 합니다.",
"diagnosis_layer": "2.NETWORK",
"diagnosis_method": "Security Group의 Inbound 규칙에 원격 접속이 필요한 사용자나 시스템만 접근을 허용하는 규칙을 등록 하였는지 확인합니다.",
"diagnosis_result": "03",
"result_contents": "상세 내역",
"sub_category": "NURIBP_SCP_02.NW_004"
}
],
"total": 10
}
1.7 - List Config Inspection
1.7.1 - 1.1
get /v1/configinspection/diagnosis/list
Description
get config inspection list
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | with_count optional | with count Example : true
| any of [string, null] | None |
| query | limit optional | limit Example : 20
| any of [integer, null] | None |
| query | marker optional | marker Example : 607e0938521643b5b4b266f343fae693
| any of [string, null] | None |
| query | sort optional | sort Example : created_at:desc
| any of [string, null] | None |
| query | isMine optional | my Config Inspection Example : False
| boolean | False |
| query | diagnosis_id optional | Id of diagnosis Example : DIA-943731CB8E3045C289BAECAEC3532097
| any of [string, null] | None |
| query | diagnosis_name optional | Name of diagnosis Example : My Diagnosis
| any of [string, null] | None |
| query | csp_type optional | Type of cloud service provider Example : SCP
| any of [string, null] | None |
| query | diagnosis_account_id optional | Id of diagnosis Example : 0e3dffc50eb247a1adf4f2e5c82c4f99
| any of [string, null] | None |
| query | recent_diagnosis_state optional | recent Diagnosis State Example : Completed
| any of [array[string], null] | None |
| query | start_date optional | start Date Example : 2022-01-01 12:00:00
| any of [string, null] | None |
| query | end_date optional | end Date Example : 2022-01-02 12:00:00
| any of [string, null] | None |
Responses
Example HTTP request
Request path
/v1/configinspection/diagnosis/list
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = configinspection 1.1"
Example HTTP response
Response 200
{
"count": 20,
"links": [
{
"href": "http://scp.samsungsdscloud.com/v1/notices",
"rel": "self"
}
],
"summary_responses": [
{
"created_at": "2022-01-01T12:00:00Z",
"csp_type": "SCP",
"diagnosis_account_id": "0e3dffc50eb247a1adf4f2e5c82c4f99",
"diagnosis_check_type": "BP",
"diagnosis_id": "DIA-943731CB8E3045C289BAECAEC3532097",
"diagnosis_name": "Sample Diagnosis Name",
"diagnosis_type": "Console",
"error_state": "CONNECTION_FAIL",
"plan_type": "STANDARD",
"recent_diagnosis_at": "2022-01-01T12:00:00Z",
"recent_diagnosis_state": "Completed"
}
]
}
1.7.2 - 1.0
get /v1/configinspection/diagnosis/list
Description
get config inspection list
State
ACTIVE (SUPPORTED)
| Version | Supported Until |
|---|
| 1.0 | 20260531 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | with_count optional | with count Example : true
| any of [string, null] | None |
| query | limit optional | limit Example : 20
| any of [integer, null] | None |
| query | marker optional | marker Example : 607e0938521643b5b4b266f343fae693
| any of [string, null] | None |
| query | sort optional | sort Example : created_at:desc
| any of [string, null] | None |
| query | isMine optional | my Config Inspection Example : False
| boolean | False |
| query | diagnosis_id optional | Id of diagnosis Example : DIA-943731CB8E3045C289BAECAEC3532097
| any of [string, null] | None |
| query | diagnosis_name optional | Name of diagnosis Example : My Diagnosis
| any of [string, null] | None |
| query | csp_type optional | Type of cloud service provider Example : SCP
| any of [string, null] | None |
| query | diagnosis_account_id optional | Id of diagnosis Example : 0e3dffc50eb247a1adf4f2e5c82c4f99
| any of [string, null] | None |
| query | recent_diagnosis_state optional | recent Diagnosis State Example : Completed
| any of [array[string], null] | None |
| query | start_date optional | start Date Example : 2022-01-01 12:00:00
| any of [string, null] | None |
| query | end_date optional | end Date Example : 2022-01-02 12:00:00
| any of [string, null] | None |
Responses
Example HTTP request
Request path
/v1/configinspection/diagnosis/list
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = configinspection 1.0"
Example HTTP response
Response 200
{
"count": 20,
"links": [
{
"href": "http://scp.samsungsdscloud.com/v1/notices",
"rel": "self"
}
],
"summary_responses": [
{
"created_at": "2022-01-01T12:00:00Z",
"csp_type": "SCP",
"diagnosis_account_id": "0e3dffc50eb247a1adf4f2e5c82c4f99",
"diagnosis_check_type": "BP",
"diagnosis_id": "DIA-943731CB8E3045C289BAECAEC3532097",
"diagnosis_name": "Sample Diagnosis Name",
"diagnosis_type": "Console",
"error_state": "CONNECTION_FAIL",
"plan_type": "STANDARD",
"recent_diagnosis_at": "2022-01-01T12:00:00Z",
"recent_diagnosis_state": "Completed"
}
]
}
1.8 - List Diagnosis Result
1.8.1 - 1.1
get /v1/configinspection/report/diagnosis/list
Description
get Diagnosis Result List
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | with_count optional | with count Example : true
| any of [string, null] | None |
| query | limit optional | limit Example : 20
| any of [integer, null] | None |
| query | marker optional | marker Example : 607e0938521643b5b4b266f343fae693
| any of [string, null] | None |
| query | sort optional | sort Example : created_at:desc
| any of [string, null] | None |
| query | account_id optional | account Id Example : 0e3dffc50eb247a1adf4f2e5c82c4f99
| any of [string, null] | None |
| query | diagnosis_id optional | Id of diagnosis Example : DIA-943731CB8E3045C289BAECAEC3532097
| any of [string, null] | None |
| query | diagnosis_name optional | Name of diagnosis Example : Sample Diagnosis Name
| any of [string, null] | None |
| query | start_date optional | start Date Example : 2022-01-01
| any of [string, null] | None |
| query | end_date optional | end Date Example : 2022-12-31
| any of [string, null] | None |
| query | csp_type optional | Type of cloud service provider Example : SCP
| any of [string, null] | None |
| query | diagnosis_state optional | Status of diagnosis Example : Completed
| any of [string, null] | None |
| query | user_id optional | user Id Example : 76b563a009584b1380715c00703a02ff
| any of [string, null] | None |
Responses
Example HTTP request
Request path
/v1/configinspection/report/diagnosis/list
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = configinspection 1.1"
Example HTTP response
Response 200
{
"count": 20,
"diagnosis_result_responses": [
{
"count_check": 10,
"count_error": 0,
"count_fail": 3,
"count_na": 2,
"count_pass": 5,
"csp_type": "SCP",
"diagnosis_account_id": "0e3dffc50eb247a1adf4f2e5c82c4f99",
"diagnosis_check_type": "BP",
"diagnosis_id": "DIA-943731CB8E3045C289BAECAEC3532097",
"diagnosis_name": "Sample Diagnosis Name",
"diagnosis_request_sequence": "1234567890",
"diagnosis_result": "SUCCESS",
"diagnosis_total_count": 10,
"proceed_date": "2022-01-01T12:00:00Z",
"total": 10
}
],
"links": [
{
"href": "http://scp.samsungsdscloud.com/v1/notices",
"rel": "self"
}
]
}
1.8.2 - 1.0
get /v1/configinspection/report/diagnosis/list
Description
get Diagnosis Result List
State
ACTIVE (SUPPORTED)
| Version | Supported Until |
|---|
| 1.0 | 20260531 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | with_count optional | with count Example : true
| any of [string, null] | None |
| query | limit optional | limit Example : 20
| any of [integer, null] | None |
| query | marker optional | marker Example : 607e0938521643b5b4b266f343fae693
| any of [string, null] | None |
| query | sort optional | sort Example : created_at:desc
| any of [string, null] | None |
| query | account_id optional | account Id Example : 0e3dffc50eb247a1adf4f2e5c82c4f99
| any of [string, null] | None |
| query | diagnosis_id optional | Id of diagnosis Example : DIA-943731CB8E3045C289BAECAEC3532097
| any of [string, null] | None |
| query | diagnosis_name optional | Name of diagnosis Example : Sample Diagnosis Name
| any of [string, null] | None |
| query | start_date optional | start Date Example : 2022-01-01
| any of [string, null] | None |
| query | end_date optional | end Date Example : 2022-12-31
| any of [string, null] | None |
| query | csp_type optional | Type of cloud service provider Example : SCP
| any of [string, null] | None |
| query | diagnosis_state optional | Status of diagnosis Example : Completed
| any of [string, null] | None |
| query | user_id optional | user Id Example : 76b563a009584b1380715c00703a02ff
| any of [string, null] | None |
Responses
Example HTTP request
Request path
/v1/configinspection/report/diagnosis/list
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = configinspection 1.0"
Example HTTP response
Response 200
{
"count": 20,
"diagnosis_result_responses": [
{
"count_check": 10,
"count_error": 0,
"count_fail": 3,
"count_na": 2,
"count_pass": 5,
"csp_type": "SCP",
"diagnosis_account_id": "0e3dffc50eb247a1adf4f2e5c82c4f99",
"diagnosis_check_type": "BP",
"diagnosis_id": "DIA-943731CB8E3045C289BAECAEC3532097",
"diagnosis_name": "Sample Diagnosis Name",
"diagnosis_request_sequence": "1234567890",
"diagnosis_result": "SUCCESS",
"diagnosis_total_count": 10,
"proceed_date": "2022-01-01T12:00:00Z",
"total": 10
}
],
"links": [
{
"href": "http://scp.samsungsdscloud.com/v1/notices",
"rel": "self"
}
]
}
2 - Models
2.1 - AuthKeyRequest
| Name | Description | Schema | Default |
|---|
auth_key_created_at optional | created date of authkey Example : 2022-01-01 12:00:00
| any of [string, null] | |
auth_key_expired_at optional | expired date of authkey Example : 2023-01-01 12:00:00
| any of [string, null] | |
auth_key_id required | Id of auth key Example : 9b72a9856e494e67afc69atd3631fe38
| string | |
diagnosis_id optional | Id of diagnosis Example : DIA-943731CB8E3045C289BAECAEC3532097
| any of [string, null] | |
2.2 - AuthKeyResponse
| Name | Description | Schema | Default |
|---|
auth_key_created_at optional | created date of authkey Example : 2022-01-01T12:00:00Z
| string | |
auth_key_expired_at optional | expired date of authkey Example : 2022-01-01T12:00:00Z
| string | |
auth_key_id optional | Id of auth key Example : 9b72a9856e494e67afc69atd3631fe38
| string | |
auth_key_state optional | state of auth key Example : ACTIVATED
| string | |
user_id optional | user Id Example : 4f5d60e9e08b48d0a0881e21ab14e266
| string | |
2.3 - CheckResponse
| Name | Description | Schema | Default |
|---|
result required | True, False Check Example : True
| boolean | |
2.4 - ConfigInspectionCreateResponse
| Name | Description | Schema | Default |
|---|
diagnosis_id required | Id of diagnosis Example : Sample Diagnosis Name
| string | |
result required | True, False Check Example : True
| boolean | |
2.5 - ConfigInspectionListResponse
| Name | Description | Schema | Default |
|---|
count optional | total count Example : 20
| any of [integer, null] | |
links optional | links Example : [{'href': 'http://scp.samsungsdscloud.com/v1/notices', 'rel': 'self'}]
| any of [array[object], null] | |
summary_responses required |
| array[SummaryResponse] | |
2.6 - ConfigInspectionLookinError
| Name | Description | Schema | Default |
|---|
message optional | Example :
| string | |
type optional | Example :
| string | |
2.7 - ConfigInspectionLookinResponse
| Name | Description | Schema | Default |
|---|
requestNumber required | Example :
| string | |
systemId required | Example :
| string | |
targets required |
| ConfigInspectionLookinTarget | |
2.8 - ConfigInspectionLookinResult
| Name | Description | Schema | Default |
|---|
current optional | Example :
| string | |
itemCode required | Example :
| string | |
verify optional | Example :
| string | |
2.9 - ConfigInspectionLookinTarget
| Name | Description | Schema | Default |
|---|
cloudAccountId required | Example :
| string | |
cspCd required | Example :
| string | |
cspConsoleCd required | Example :
| string | |
error optional |
| any of [ConfigInspectionLookinError, null] | |
kind optional | Example :
| string | |
result optional |
| array[ConfigInspectionLookinResult] | |
status optional | Example :
| string | |
version optional | Example :
| string | |
2.10 - DiagnosisObjectDetailResponse
2.11 - DiagnosisObjectRequest
| Name | Description | Schema | Default |
|---|
account_id required | account Id Example : 0e3dffc50eb247a1adf4f2e5c82c4f99
| string | |
auth_key_request required |
| AuthKeyRequest | |
csp_type required | Type of cloud service provider Example : SCP
| string | |
diagnosis_account_id required | Id of diagnosis Example : 0e3dffc50eb247a1adf4f2e5c82c4f99
| string | |
diagnosis_check_type required | Check type of diagnosis Example : BP
| string | |
diagnosis_id required | Id of diagnosis Example : DIA-943731CB8E3045C289BAECAEC3532097
| string | |
diagnosis_name required | Name of diagnosis Example : Sample Diagnosis Name Pattern : ^[a-zA-Z0-9-_]+$ Maximum length : 25
| string | |
diagnosis_type required | diagnosis Type Example : Console
| string | |
plan_type required | plan Type Example : STANDARD
| string | |
schedule_request required |
| DiagnosisScheduleRequest | |
tags optional | Tag List
| array[Tag] | |
2.12 - DiagnosisRequest
| Name | Description | Schema | Default |
|---|
access_key required | Access Key Example : SAMPLE KEY
| string | |
diagnosis_check_type required | Check type of diagnosis Example : BP
| string | |
diagnosis_id required | Id of diagnosis Example : DIA-943731CB8E3045C289BAECAEC3532097
| string | |
secret_key required | Secret Key Example : SAMPLE KEY
| string | |
tenant_id required | Tenant ID Example : 1234567890
| string | |
2.13 - DiagnosisResultDetail
| Name | Description | Schema | Default |
|---|
action_guide required | measure guide description Example : 원격 접속 Port에 Source IP가 ANY(0.0.0.0/0)로 등록되어있거나 과도하게 허용된 Security Group 규칙은 아래와 같이 삭제합니다.
| string | |
changed required | iS Change result manage Example : True
| any of [boolean, null] | |
diagnosis_check_type required | Check type of diagnosis Example : BP
| string | |
diagnosis_criteria required | decision standard description Example : `【 Security Group 규칙 】 | | |
① 원격접속 Port에 Any IP 접근을 허용하는 규칙이 존재하지 않아야 합니다.`
| string | | |
diagnosis_item required | sub category description Example : 2.NW_003. 프로토콜 별 원격접속 Port는 접근이 필요한 IP를 지정하여 접속을 허용해야 합니다.
| string | |
diagnosis_layer required | inspector item category description Example : 2.NETWORK
| string | |
diagnosis_method required | inspector method description Example : Security Group의 Inbound 규칙에 원격 접속이 필요한 사용자나 시스템만 접근을 허용하는 규칙을 등록 하였는지 확인합니다.
| string | |
diagnosis_result required | verify result state Example : 03
| string | |
result_contents required | result Contents Example : 상세 내역
| string | |
sub_category required | Sub Category Example : NURIBP_SCP_02.NW_004
| any of [string, null] | |
2.14 - DiagnosisResultDetailResponse
| Name | Description | Schema | Default |
|---|
checklist_name required | checklist Name Example : Sample Checklist
| string | |
count optional | total count Example : 20
| any of [integer, null] | |
diagnosis_account_id required | Id of diagnosis Example : 0e3dffc50eb247a1adf4f2e5c82c4f99
| string | |
diagnosis_check_type required | Check type of diagnosis Example : BP
| string | |
diagnosis_id required | Id of diagnosis Example : DIA-943731CB8E3045C289BAECAEC3532097
| string | |
diagnosis_name required | Name of diagnosis Example : Sample Diagnosis Name
| string | |
diagnosis_request_sequence required | Sequence of diagnosis request Example : SCPCIS-E75FD21CA524441C9C1B1B381D5974F7
| string | |
links optional | links Example : [{'href': 'http://scp.samsungsdscloud.com/v1/notices', 'rel': 'self'}]
| any of [array[object], null] | |
proceed_date optional | proceed Date Example :
| string (date-time) | |
result_detail_list required |
| array[DiagnosisResultDetail] | |
total required | total count Example : 10
| integer | |
2.15 - DiagnosisResultListResponse
| Name | Description | Schema | Default |
|---|
count optional | total count Example : 20
| any of [integer, null] | |
diagnosis_result_responses required |
| array[DiagnosisResultResponse] | |
links optional | links Example : [{'href': 'http://scp.samsungsdscloud.com/v1/notices', 'rel': 'self'}]
| any of [array[object], null] | |
2.16 - DiagnosisResultResponse
| Name | Description | Schema | Default |
|---|
count_check optional | check count Example : 10
| integer | |
count_error optional | error count Example : 0
| integer | |
count_fail optional | fail count Example : 3
| integer | |
count_na optional | na count Example : 2
| integer | |
count_pass optional | pass count Example : 5
| integer | |
csp_type optional | Type of cloud service provider Example : SCP
| string | |
diagnosis_account_id optional | Id of diagnosis Example : 0e3dffc50eb247a1adf4f2e5c82c4f99
| string | |
diagnosis_check_type optional | Check type of diagnosis Example : BP
| string | |
diagnosis_id optional | Id of diagnosis Example : DIA-943731CB8E3045C289BAECAEC3532097
| string | |
diagnosis_name optional | Name of diagnosis Example : Sample Diagnosis Name
| string | |
diagnosis_request_sequence optional | Sequence of diagnosis request Example : 1234567890
| string | |
diagnosis_result optional | diagnosis Result Example : SUCCESS
| string | |
diagnosis_total_count optional | diagnosis Total Count Example : 10
| integer | |
proceed_date optional | proceed Date Example : 2022-01-01T12:00:00Z
| string (date-time) | |
total optional | total count Example : 10
| integer | |
2.17 - DiagnosisScheduleRequest
| Name | Description | Schema | Default |
|---|
diagnosis_id required | Id of diagnosis Example : DIA-943731CB8E3045C289BAECAEC3532097
| string | |
diagnosis_start_time_pattern required | Start time( 5-minute increments, 00 to 23 hours, 00 to 55 minutes ) Example : 08:00
| string | |
frequency_type required | Schedule type( monthly, weekly, daily) Example : MONTH
| string | |
frequency_value required | Schedule value (01~31, MONDAY~SUNDAY, everyDay) Example : 1
| string | |
use_diagnosis_check_type_bp required | Checklist Best Practice Use Example : y
| string | |
use_diagnosis_check_type_ssi required | Checklist SSI usage Example : y
| string | |
2.18 - DiagnosisScheduleResponse
| Name | Description | Schema | Default |
|---|
diagnosis_id optional | Id of diagnosis Example : DIA-943731CB8E3045C289BAECAEC3532097
| string | |
diagnosis_start_time_pattern optional | Start time( 5-minute increments, 00 to 23 hours, 00 to 55 minutes ) Example : 08:00
| string | |
frequency_type optional | Schedule type( monthly, weekly, daily) Example : MONTH
| string | |
frequency_value optional | Schedule value (01~31, MONDAY~SUNDAY, everyDay) Example : 1
| string | |
use_diagnosis_check_type_bp optional | Checklist Best Practice Use Example : y
| string | |
use_diagnosis_check_type_ssi optional | Checklist SSI usage Example : y
| string | |
2.19 - SummaryResponse
| Name | Description | Schema | Default |
|---|
created_at required | Created date Example : 2022-01-01T12:00:00Z
| string (date-time) | |
csp_type required | Type of cloud service provider Example : SCP
| string | |
diagnosis_account_id required | Id of diagnosis Example : 0e3dffc50eb247a1adf4f2e5c82c4f99
| string | |
diagnosis_check_type required | Check type of diagnosis Example : BP
| string | |
diagnosis_id required | Id of diagnosis Example : DIA-943731CB8E3045C289BAECAEC3532097
| string | |
diagnosis_name required | Name of diagnosis Example : Sample Diagnosis Name
| string | |
diagnosis_type required | diagnosis Type Example : Console
| string | |
error_state optional | Error type of recent diagnosis Example : CONNECTION_FAIL
| any of [string, null] | |
plan_type required | plan Type Example : STANDARD
| string | |
recent_diagnosis_at optional | recent Diagnosis Date Example : 2022-01-01T12:00:00Z
| any of [string (date-time), null] | |
recent_diagnosis_state optional | recent Diagnosis State Example : Completed
| any of [string, null] | |
2.20 - Tag
| Name | Description | Schema | Default |
|---|
key required | tag key Example :
| string | |
value required | tag value Example :
| string | |
2.21 - TerminateResponse
| Name | Description | Schema | Default |
|---|
delete_flag required | True, False Check Example : True
| boolean | |
msg required | message of delete Example : Delete success
| string | |